Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
ParamGeneratorInterface< T > Class Template Referenceabstract

`#include <gtest.h>`

Inheritance diagram for ParamGeneratorInterface< T >:

## Public Types
typedef T | ParamType

## Public Member Functions
virtual | ~ParamGeneratorInterface ()
virtual ParamIteratorInterface< T > * | Begin () const =0
virtual ParamIteratorInterface< T > * | End () const =0

## Member Typedef Documentation

typedef T ParamType

## Constructor & Destructor Documentation

virtual ~ParamGeneratorInterface | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual ParamIteratorInterface<T>* Begin | ( |  | ) | const
| pure virtual

Implemented in CartesianProductGenerator10< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10 >, CartesianProductGenerator9< T1, T2, T3, T4, T5, T6, T7, T8, T9 >, CartesianProductGenerator8< T1, T2, T3, T4, T5, T6, T7, T8 >, CartesianProductGenerator7< T1, T2, T3, T4, T5, T6, T7 >, CartesianProductGenerator6< T1, T2, T3, T4, T5, T6 >, CartesianProductGenerator5< T1, T2, T3, T4, T5 >, CartesianProductGenerator4< T1, T2, T3, T4 >, CartesianProductGenerator3< T1, T2, T3 >, CartesianProductGenerator2< T1, T2 >, ValuesInIteratorRangeGenerator< T >, and RangeGenerator< T, IncrementT >.

virtual ParamIteratorInterface<T>* End | ( |  | ) | const
| pure virtual

Implemented in CartesianProductGenerator10< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10 >, CartesianProductGenerator9< T1, T2, T3, T4, T5, T6, T7, T8, T9 >, CartesianProductGenerator8< T1, T2, T3, T4, T5, T6, T7, T8 >, CartesianProductGenerator7< T1, T2, T3, T4, T5, T6, T7 >, CartesianProductGenerator6< T1, T2, T3, T4, T5, T6 >, CartesianProductGenerator5< T1, T2, T3, T4, T5 >, CartesianProductGenerator4< T1, T2, T3, T4 >, CartesianProductGenerator3< T1, T2, T3 >, CartesianProductGenerator2< T1, T2 >, ValuesInIteratorRangeGenerator< T >, and RangeGenerator< T, IncrementT >.

The documentation for this class was generated from the following file:

- testing/googleTest/fused-src/gtest/gtest.h